Рекомендация Debian по безопасности

DSA-3882-1 request-tracker4 -- обновление безопасности

Дата сообщения:
15.06.2017
Затронутые пакеты:
request-tracker4
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2016-6127, CVE-2017-5361, CVE-2017-5943, CVE-2017-5944.
Более подробная информация:

В Request Tracker, расширяемой системе отслеживания уведомлений о неисправностях, были обнаружены многочисленные уязвимости. Проект Common Vulnerabilities and Exposures определяет следующие проблемы:

  • CVE-2016-6127

    Было обнаружено, что Request Tracker уязвим к межсайтовому скриптингу (XSS) в случае, если злоумышленник загружает вредоносный файл с содержимым определённого типа. Установки, использующие опцию настройки AlwaysDownloadAttachments, не подвержены этой уязвимости. Применённое исправление касается всех уже имеющихся и будущих загружаемых вложений.

  • CVE-2017-5361

    Было обнаружено, что Request Tracker уязвим к атакам на пароли пользователей через сторонние каналы по таймингам.

  • CVE-2017-5943

    Было обнаружено, что Request Tracker уязвим к раскрытию информации о токенах проверки в случае подделки межсайтового запроса (CSRF), если пользователь открывает специально сформированный URL, переданный злоумышленником.

  • CVE-2017-5944

    Было обнаружено, что Request Tracker уязвим к выполнению произвольного кода в интерфейсе подписки страницы управления. Привилегированный злоумышленник может использовать эту уязвимость с помощью специально сформированных сохранённых поисковых имён для вызова выполнения неожиданного кода. Применённое исправление касается всех уже имеющихся и будущих сохранённых поисковых имён.

Помимо указанных выше CVE данное исправление частично решает проблему CVE-2015-7686 в Email::Address, которая может вызывать отказ в обслуживании самого Request Tracker.

В стабильном выпуске (jessie) эти проблемы были исправлены в версии 4.2.8-3+deb8u2.

В готовящемся стабильном выпуске (stretch) эти проблемы были исправлены в версии 4.4.1-3+deb9u1.

В нестабильном выпуске (sid) эти проблемы были исправлены в версии 4.4.1-4.

Рекомендуется обновить пакеты request-tracker4.